#import <Cocoa/Cocoa.h>

#ifndef CTClass
#define CTClass(x) x
#endif

@interface CTClass(CTUtil) : NSObject
{
}

+ (CGImageRef) newJPEGImageAtPath:(NSString *) path;
+ (CGImageRef) newPNGImageAtPath:(NSString *) path;

// Create an xRGB offscreen bitmap
+ (CGContextRef) newBitmapContextWithData:(void *) bitmapData
							   pixelsWide:(int) pixelsWide
							   pixelsHigh:(int) pixelsHigh
							  pixelFormat:(CGImageAlphaInfo) format;

// NOTE: You must free the bytes as well as releasing the context!
// Create an xRGB offscreen bitmap
+ (CGContextRef) newBitmapContextPixelsWide:(int) pixelsWide
								 pixelsHigh:(int) pixelsHigh
								pixelFormat:(CGImageAlphaInfo) format;

+ (CGRect) fitRect:(CGSize) imageSize
	   inContainer:(CGSize) container;

+ (CIImage *) coreImageFromNSImage:(NSImage *) xx;

+ (GLuint) textureFromNSImage:(NSImage *) img;

@end
